## gtk+4.0 3.90.0

=== debian/changelog ===
gtk+4.0 (3.90.0-0ubuntu2) artful; urgency=medium

  * Disable mir backend

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 May 2017 09:32:20 -0400

gtk+4.0 (3.90.0-0ubuntu1) artful; urgency=medium

  * New upstream development release
  * Rename gtk3 > gtk4
  * Drop gail packages
  * debian/control.in:
    - Build-depend on autoconf-archive, libgraphene-1.0-dev, libvulkan-dev,
      and sassc
    - Build-depend on gtk-doc >= 1.25-7ubuntu1
    - Have libgtk-4-bin and libgtk-4-common and gtk-4-examples depend on
      their gtk3 counterparts until we figure out how to handle the file
      conflicts there. The conflicted files have not changed in gtk4.
      See GNOME bug 774912.
  * Don't build gtk-update-icon-cache; we'll let gtk3 handle that for now
  * Update symbols, many deprecated functions have been dropped
  * Don't fail the build for failing tests
  * Refresh patches
  * Drop obsolete patches:
    - 016_no_offscreen_widgets_grabbing.patch
    - 017_no_offscreen_device_grabbing.patch
    - 0001-gtkwindow-set-transparent-background-color.patch
    - gtksocket-unscale-before-sending-configurenotify.patch
    - uimanager-guard-against-nested-node-updates.patch
  * Disable message-dialog-restore-traditional-look-on-unity.patch:
    - gtk_container_set_border_width needs to be replaced to enable
      this patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 22 Apr 2017 07:41:00 -0400

gtk+3.0 (3.22.15-0ubuntu1) artful; urgency=medium

  [ Ken VanDine ]
  * debian/rules
    - Disable mir backend
  * debian/control.in
    - Dropped build depends for mir and content-hub
  * debian/libgtk-3-0.symbols
    - Refreshed

  [ Iain Lane ]
  * New upstream release 3.12.15 (also includes 14, 13).

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 May 2017 13:17:19 +0100

gtk+3.0 (3.22.12-1ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install the settings.ini file to set our themes
    + Install a gsettings override to start filechoosers in the cwd
    + Enable Mir backend
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - ubuntu_fileselector_behaviour.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gtksocket-unscale-before-sending-configurenotify.patch
  * Drop the mir patches that have been applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 30 Apr 2017 23:03:11 -0400

gtk+3.0 (3.22.12-1) unstable; urgency=medium

  * New upstream release.

gtk+3.0 (3.22.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Mar 2017 02:27:48 +0100

gtk+3.0 (3.22.9-4) unstable; urgency=medium

  * Force update of GResource files so the changes to the CSS files are
    actually applied.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Mar 2017 01:38:30 +0100

gtk+3.0 (3.22.9-3) unstable; urgency=medium

  * Revert move of .flat from frame > border to frame as it broke existing
    themes which relied on that behaviour.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Mar 2017 21:40:15 +0100

gtk+3.0 (3.22.9-2) unstable; urgency=medium

  * Team upload
  * d/p/wayland-make-sure-to-clear-up-the-number-of-keys.patch:
    Add patch from upstream fixing unintended key repeats on Wayland
    (Closes: #856478)

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Mar 2017 15:50:14 +0000

gtk+3.0 (3.22.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/032_mips_treeview_row_separator_height.patch, no
    longer needed.

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2017 18:48:39 +0100

gtk+3.0 (3.22.8-1) unstable; urgency=medium

  * New upstream release.
  * Stop patching gtk-doc.make and instead run gtkdocize via the upstream
    provided autogen.sh on autoreconf. The gtk-doc-tools version in Debian has
    been fixed to properly handle the installation of HTML images for
    out-of-tree builds.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Feb 2017 12:17:29 +0100

gtk+3.0 (3.22.7-2) unstable; urgency=medium

  * Team upload
  * d/p/gdk-x11-Check-if-we-have-access-to-GL-before-using-G.patch:
    add proposed patch from upstream Bugzilla to let GDK X11
    initialization complete successfully when libGL.so.1 is not
    available (Closes: #847366)
  * Override Lintian error source-is-missing for
    debian/missing-sources/zlib.js-0.1.6/deps.js. It is a generated
    file, but the script to generate it is also present.

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Jan 2017 15:38:15 +0000

gtk+3.0 (3.22.7-1ubuntu4) zesty; urgency=medium

  * Have libgtk-3-dev depend on libcontent-hub-glib-dev,
    thanks Ken VanDine!

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2017 15:38:44 -0500

gtk+3.0 (3.22.7-1ubuntu3) zesty; urgency=medium

  * debian/control:
  * debian/control.in:
    - Build depend on libcontent-hub-glib-dev
  * debian/patches/series:
  * debian/patches/0001-mir-implement-window-properties.patch:
  * debian/patches/0002-mir-track-focused-window.patch:
  * debian/patches/0003-mir-connect-to-content-hub.patch:

