=== debian/control ===
Source: gtk+4.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Build-Depends: autoconf-archive,
               debhelper (>= 9.20141010),
               cdbs (>= 0.4.93),
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.17.14),
               gtk-doc-tools (>= 1.25-7ubuntu0~),
               dh-autoreconf,
               docbook-xml,
               docbook-xsl,
               pkg-config,
               autotools-dev,
               dbus <!nocheck>,
               gsettings-desktop-schemas <!nocheck>,
               adwaita-icon-theme-full <!nocheck>,
               at-spi2-core <!nocheck>,
               libglib2.0-dev (>= 2.49.4),
               libgdk-pixbuf2.0-dev (>= 2.30.0),
               libpango1.0-dev (>= 1.37.3),
               libatk1.0-dev (>= 2.15.1),
               libatk-bridge2.0-dev,
               libegl1-mesa-dev [linux-any],
               libepoxy-dev,
               libfontconfig1-dev,
               libgraphene-1.0-dev,
               libharfbuzz-dev (>= 0.9),
               libvulkan-dev,
               libwayland-dev (>= 1.9.91) [linux-any],
               wayland-protocols (>= 1.7) [linux-any],
               libxkbcommon-dev (>= 0.2.0),
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxml2-utils,
               libxrandr-dev (>= 2:1.5.0),
               libxcursor-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbfile-dev,
               libxinerama-dev,
               libxfixes-dev,
               libcairo2-dev (>= 1.14.0),
               libcups2-dev (>= 1.2),
               libcolord-dev (>= 0.1.9),
               librest-dev,
               libjson-glib-dev,
               gobject-introspection (>= 1.41.3),
               libgirepository1.0-dev (>= 1.39.0),
               sassc,
               xauth <!nocheck>,
               xsltproc,
               xvfb <!nocheck>,
Build-Depends-Indep: libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Standards-Version: 3.9.8
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk4
XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+4.0/
XS-Debian-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+4.0/
Homepage: http://www.gtk.org/

Package: libgtk-4-0
Architecture: any
Multi-Arch: same
Depends: libgtk-4-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         hicolor-icon-theme,
         adwaita-icon-theme,
         shared-mime-info
Provides: gtk4-binver-4.0.0
Recommends: libgtk-4-bin
Suggests: librsvg2-common,
          gvfs
Breaks: gnome-themes-standard (<< 3.6),
        gtk3-engines-oxygen (<< 1.4.1-3)
Pre-Depends: ${misc:Pre-Depends}
Description: GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk-4-0-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk4-binver-4.0.0
Description: GTK+ graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk-4-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libgtk-3-common
Recommends: libgtk-4-0
Description: common files for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk-4-bin
Section: misc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         libgtk-4-0 (>= ${source:Version}),
         libgtk-4-common (>= ${source:Version}),
         gtk-update-icon-cache,
         libgtk-3-bin
Description: programs for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgtk-4-0 (= ${binary:Version}),
         gir1.2-gtk-4.0 (= ${binary:Version}),
         libgtk-4-common,
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.49.4),
         libgdk-pixbuf2.0-dev (>= 2.30.0),
         libpango1.0-dev (>= 1.37.3),
         libatk1.0-dev (>= 2.15.1),
         libatk-bridge2.0-dev,
         libcairo2-dev (>= 1.14.0),
         libepoxy-dev (>= 1.0),
         libfontconfig1-dev,
         libgraphene-1.0-dev,
         libvulkan-dev,
         libx11-dev,
         libxext-dev,
         libxinerama-dev,
         libxi-dev,
         libxrandr-dev,
         libxcursor-dev,
         libxfixes-dev,
         libxcomposite-dev,
         libxdamage-dev,
         pkg-config,
         libegl1-mesa-dev [linux-any],
         libwayland-dev (>= 1.9.91) [linux-any],
         wayland-protocols (>= 1.7) [linux-any],
         libxkbcommon-dev
Suggests: libgtk-4-doc
Description: development files for the GTK+ library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header and development files which are
 needed for building GTK+ applications.

Package: libgtk-4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Suggests: devhelp
Description: documentation for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK+ library
 in /usr/share/doc/libgtk-4-doc/ .

Package: gtk-4-examples
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-4-0 (= ${binary:Version}),
         gtk-3-examples
Description: example files for GTK+ 4
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the example files and a demonstration program
 for GTK+4.

Package: gir1.2-gtk-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libgtk-4-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Breaks: python-gi (<< 3.18),
        python3-gi (<< 3.18),
Description: GTK+ graphical user interface library -- gir bindings
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

#Package: gtk-update-icon-cache
#Section: misc
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends},
#         ${shlibs:Depends}
#Breaks: libgtk2.0-bin (<< 2.24.30-2),
#        libgtk-3-bin (<< 3.20.6-1)
#Replaces: libgtk2.0-bin (<< 2.24.30-2),
#          libgtk-3-bin (<< 3.20.6-1)
#Description: icon theme caching utility
# gtk-update-icon-cache creates mmap()able cache files for icon themes.
# .
# GTK+ can use the cache files created by gtk-update-icon-cache to avoid a lot
# of system call and disk seek overhead when the application starts. Since the
# format of the cache files allows them to be mmap()ed shared between multiple
# applications, the overall memory consumption is reduced as well.
#
#Package: libgail-4-0
#Architecture: any
#Multi-Arch: same
#Depends: ${misc:Depends},
#         ${shlibs:Depends},
#         libgtk-4-0 (= ${binary:Version}),
#         at-spi2-core
#Pre-Depends: ${misc:Pre-Depends}
#Description: GNOME Accessibility Implementation Library -- shared libraries
# Gail implements ATK interfaces for GTK+ widgets which are dynamically
# loadable at runtime by a GTK+ application. Once loaded, those parts of
# an application that use standard GTK+ widgets will have a basic level
# of accessibility, without the need to modify the application at all.
# .
# This package contains the shared library.
#
#Package: libgail-4-dev
#Architecture: any
#Multi-Arch: same
#Section: libdevel
#Depends: ${misc:Depends},
#         libgail-4-0 (= ${binary:Version}),
#         libgtk-4-dev (= ${binary:Version}),
#         pkg-config,
#         libatk1.0-dev
#Suggests: libgail-3-doc
#Description: GNOME Accessibility Implementation Library -- development files
# Gail implements ATK interfaces for GTK+ widgets which are dynamically
# loadable at runtime by a GTK+ application. Once loaded, those parts of
# an application that use standard GTK+ widgets will have a basic level
# of accessibility, without the need to modify the application at all.
# .
# This package contains the development files for Gail.
