=== debian/tests/control ===
Tests: build python3-gi
Depends: libgtk-4-dev, build-essential, xauth, xvfb, python3-gi, gir1.2-gtk-4.0, dbus
