## gtk+4.0 3.96.0

=== debian/changelog ===
gtk+4.0 (3.96.0-2) experimental; urgency=medium

  * Team upload
  * Mark patches as applied upstream
  * Don't run dh_missing against debian/install/udeb when not building
    the udeb. This fixes FTBFS in Architecture: all-only builds.
  * Disable Wayland backend on non-Linux kernels

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jul 2019 20:47:51 +0100

gtk+4.0 (3.96.0-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release 3.92
  * Switch to meson
  * README has been renamed to README.md
  * debian/libgtk-4-0.symbols: Update
  * debian/libgtk-4-common.install.in: themes are bundled in the gtkresources
  * Disable 018_gdkenumtypes.c_location.patch: might not be needed any more
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Stop using gnome-get-source

  [ Simon McVittie ]
  * New upstream release 3.94, 3.96
    - Update build-dependencies
    - d/copyright: Update
    - d/patches: Delete patches that aren't applied
    - Refresh patch series and drop applied patches
    - d/p/gdk-x11-Check-if-we-have-access-to-GL-before-using-G.patch:
      Drop, obsoleted by commit 02eb344 in GTK 3.93
    - d/p/no-accessibility-dump.patch: Drop, no longer needed.
      The build-time tests correctly set GTK_CSD=1 now.
    - Disable GStreamer video support for now
    - Stop installing gtk4-query-immodules, superseded by gio-querymodules
    - Don't install im-multipress.conf, no longer available (the multipress
      IM module is unmaintained and was removed). Remove obsolete conffile
      during upgrade.
    - d/libgtk-4-0.install.in: Don't install IM modules. The backend IM
      modules such as XIM and Wayland are now linked into GTK itself,
      while non-backend IM modules have been removed.
    - d/rules: Update Meson options, mostly removing enable- prefix
    - d/libgtk-4-0.symbols: Update
    - Update lists of installed files
  * d/patches: Refresh remaining patches through gbp pq
    - Get date/author information from d/changelog where needed
  * Generate a dependency on a virtual package that reflects the unstable
    SONAME, currently libgtk-4-0.9400.0, and Provide that virtual package
    from libgtk-4-0. This avoids repeated package renames while the ABI
    of GTK 4 remains unstable.
  * gir1.2-gtk-4.0: Add Provides for gir1.2-gdk-4.0, gir1.2-gdkx11-4.0
    and gir1.2-gsk-4.0 to reflect its contents
  * d/libgtk-4-0.postinst.in: Run gio-querymodules for IM modules
    and print backends
  * libgtk-4-dev: Add missing dependency on libvulkan-dev (thanks,
    autopkgtest) (Closes: #910640)
  * libgtk-4-0.postrm.in: Remove the correct cache files
  * Drop support for OLD_MODULES_BASE_PATH. GTK 4 has never supported
    modules in the non-multiarch location.
  * Run tests under Xvfb with GLX available (see #874077)
  * Build installed-tests and run them as autopkgtests (similar to #908440)
    - Install them in gtk-4-examples for now to avoid the NEW queue
    - Mark them as flaky for now
  * d/tests/control: Mark python3-gi as flaky until python3-gi overrides
    get updated for the rename of Gdk.Window to Gdk.Surface
  * d/tests/build: Update for GTK 4.0
  * Canonicalize permissions of debian/rules
  * Normalize various packaging files with wrap-and-sort -a
  * Remove obsolete debian/*.install files from GTK 3
  * List installed but unpackaged files in d/not-installed
  * d/rules: Defang dh_auto_test when built with nocheck
  * Stop using Priority: extra
  * d/missing-sources: Remove, no longer needed
  * Fix generation of README.md.gz symlinks
  * d/gbp.conf: Import configuration from glib2.0
  * d/rules: Generate files from .in counterparts for every package,
    not just the ones we are going to build. This avoids dh_missing
    false positives for files that would have gone into packages not
    included in the current build, for example libgtk-4-common during
    an amd64-only build.
  * Remove autoconf-archive B-D
  * Don't build udebs if built with noudeb build-profile
  * Add test-dependency on xvfb so we can run the built program
  * Change library name (and download location) from GTK+ to GTK,
    following upstream re-branding
  * Add Build-Depends-Package to symbols file
  * d/p/testsuite-Remove-dangling-references-to-box-packing-tests.patch:
    Fix dangling references to removed box-packing tests
  * d/p/gtk4.pc-Move-third-party-libraries-from-Libs-to-Libs.priv.patch:
    Improve .pc file to avoid over-linking (and Lintian false-positives)
  * Use debhelper-compat 12
  * Remove infrastructure for dealing with reftests that are known to fail
  * d/not-installed: Remove
  * d/rules: Fail the build if anything from the deb build is not installed
  * Only install AUTHORS in -doc package
  * Install documentation in /usr/share/gtk-doc, with symlinks in /u/s/doc.
    gtk-doc documentation is technically part of the package's functional
    interface, since other packages use it to adjust cross-references.
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no

  [ Laurent Bigonville ]
  * Add Closes statement for #910640

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Jul 2019 09:22:44 +0100

gtk+4.0 (3.91.2-1) experimental; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New major release, GTK+ 4 (beta version). (Closes: #876011)
    Rename everything as appropriate for GTK+ 4.
  * Don't abort on test suite failures.
  * Update symbols. Set all symbols' minimum version to 3.91.2.
  * Update build-dependencies: bump gtk-doc-tools and libglib2.0-dev
    minimum requirement, add libgraphene-1.0-dev and autoreconf-archive.
  * Drop libgail packages, they are no longer built from GTK+ 4.
  * Don't install libgdk-4.so, it has been merged into libgtk-4.so.
  * debian/patches/016_no_offscreen_widgets_grabbing.patch,
    debian/patches/017_no_offscreen_device_grabbing.patch:
    + Removed, obsolete as offscreen widgets are gone in GTK+ 4.
  * debian/patches/022_disable-viqr-im-for-vi-locale.patch:

