=== debian/tests/control ===
Tests: build
Depends: build-essential, libgtk-4-dev, xauth, xvfb
Restrictions: allow-stderr

Tests: python3-gi
Depends: dbus, gir1.2-gtk-4.0, python3-gi, xauth, xvfb
# https://gitlab.gnome.org/GNOME/pygobject/merge_requests/81/diffs
Restrictions: flaky

Tests: installed-tests
Depends: at-spi2-core, dbus (>= 1.8), gnome-desktop-testing (>= 2018.1-1~), gtk-4-examples, xauth, xvfb
Restrictions: allow-stderr, flaky
